Linux jobworks 6.8.0-136-generic #136-Ubuntu SMP PREEMPT_DYNAMIC Wed Jul 1 21:53:05 UTC 2026 x86_64
Apache/2.4.58 (Ubuntu)
Server IP : 10.0.1.5 & Your IP : 216.73.217.52
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
src /
linux-headers-6.8.0-136 /
scripts /
Delete
Unzip
Name
Size
Permission
Date
Action
atomic
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
basic
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
clang-tools
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
coccinelle
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
dtc
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
dummy-tools
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
gcc-plugins
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
gdb
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
genksyms
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
kconfig
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
ksymoops
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
mod
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
package
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
selinux
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
tracing
[ DIR ]
drwxr-xr-x
2026-07-17 06:29
.gitignore
214
B
-rw-r--r--
2024-03-10 20:38
Kbuild.include
10.1
KB
-rw-r--r--
2024-03-10 20:38
Kconfig.include
2.65
KB
-rw-r--r--
2026-07-01 19:48
Lindent
502
B
-rwxr-xr-x
2024-03-10 20:38
Makefile
1.87
KB
-rw-r--r--
2024-03-10 20:38
Makefile.asm-generic
1.82
KB
-rw-r--r--
2024-03-10 20:38
Makefile.btf
638
B
-rw-r--r--
2024-03-10 20:38
Makefile.build
17.24
KB
-rw-r--r--
2026-07-01 19:48
Makefile.clang
1.61
KB
-rw-r--r--
2024-03-10 20:38
Makefile.clean
1.87
KB
-rw-r--r--
2024-03-10 20:38
Makefile.compiler
2.74
KB
-rw-r--r--
2024-03-10 20:38
Makefile.debug
1.12
KB
-rw-r--r--
2024-03-10 20:38
Makefile.defconf
1.04
KB
-rw-r--r--
2026-07-01 19:48
Makefile.dtbinst
1.03
KB
-rw-r--r--
2026-07-01 19:48
Makefile.extrawarn
7.9
KB
-rw-r--r--
2026-07-01 19:48
Makefile.gcc-plugins
2.59
KB
-rw-r--r--
2024-03-10 20:38
Makefile.headersinst
2.88
KB
-rw-r--r--
2024-03-10 20:38
Makefile.host
5.91
KB
-rw-r--r--
2024-03-10 20:38
Makefile.kasan
2.57
KB
-rw-r--r--
2026-07-01 19:48
Makefile.kcov
333
B
-rw-r--r--
2024-03-10 20:38
Makefile.kcsan
1004
B
-rw-r--r--
2024-03-10 20:38
Makefile.kmsan
208
B
-rw-r--r--
2024-03-10 20:38
Makefile.lib
21.12
KB
-rw-r--r--
2026-07-01 19:48
Makefile.modfinal
2.63
KB
-rw-r--r--
2026-07-01 19:48
Makefile.modinst
4.02
KB
-rw-r--r--
2026-07-01 19:48
Makefile.modpost
4.69
KB
-rw-r--r--
2024-03-10 20:38
Makefile.package
8.73
KB
-rw-r--r--
2026-07-01 19:48
Makefile.randstruct
511
B
-rw-r--r--
2024-03-10 20:38
Makefile.ubsan
779
B
-rw-r--r--
2024-03-10 20:38
Makefile.userprogs
1.59
KB
-rw-r--r--
2024-03-10 20:38
Makefile.vdsoinst
1.15
KB
-rw-r--r--
2026-07-01 19:48
Makefile.vmlinux
1.48
KB
-rw-r--r--
2024-03-10 20:38
Makefile.vmlinux_o
3.27
KB
-rw-r--r--
2024-03-10 20:38
as-version.sh
2.03
KB
-rwxr-xr-x
2024-03-10 20:38
asn1_compiler.c
35.32
KB
-rw-r--r--
2024-03-10 20:38
bloat-o-meter
3.77
KB
-rwxr-xr-x
2024-03-10 20:38
bootgraph.pl
5.64
KB
-rwxr-xr-x
2024-03-10 20:38
bpf_doc.py
31.73
KB
-rwxr-xr-x
2026-07-01 19:48
cc-can-link.sh
166
B
-rwxr-xr-x
2024-03-10 20:38
cc-version.sh
1.36
KB
-rwxr-xr-x
2024-03-10 20:38
check-git
298
B
-rwxr-xr-x
2024-03-10 20:38
check-sysctl-docs
3.66
KB
-rwxr-xr-x
2024-03-10 20:38
check-uapi.sh
15.08
KB
-rwxr-xr-x
2026-07-01 19:48
check_extable.sh
4.93
KB
-rwxr-xr-x
2024-03-10 20:38
checkdeclares.pl
1.1
KB
-rwxr-xr-x
2024-03-10 20:38
checkincludes.pl
1.94
KB
-rwxr-xr-x
2024-03-10 20:38
checkkconfigsymbols.py
15.75
KB
-rwxr-xr-x
2024-03-10 20:38
checkpatch.pl
234.07
KB
-rwxr-xr-x
2026-07-01 19:48
checkstack.pl
5.96
KB
-rwxr-xr-x
2024-03-10 20:38
checksyscalls.sh
7.51
KB
-rwxr-xr-x
2024-03-10 20:38
checkversion.pl
2.16
KB
-rwxr-xr-x
2024-03-10 20:38
cleanfile
3.46
KB
-rwxr-xr-x
2024-03-10 20:38
cleanpatch
5.06
KB
-rwxr-xr-x
2024-03-10 20:38
coccicheck
7.9
KB
-rwxr-xr-x
2024-03-10 20:38
config
4.78
KB
-rwxr-xr-x
2026-07-01 19:48
const_structs.checkpatch
1.4
KB
-rw-r--r--
2024-03-10 20:38
decode_stacktrace.sh
7.58
KB
-rwxr-xr-x
2024-03-10 20:38
decodecode
4.86
KB
-rwxr-xr-x
2024-03-10 20:38
depmod.sh
697
B
-rwxr-xr-x
2024-03-10 20:38
dev-needs.sh
6.07
KB
-rwxr-xr-x
2024-03-10 20:38
diffconfig
4.12
KB
-rwxr-xr-x
2024-03-10 20:38
documentation-file-ref-check
5.67
KB
-rwxr-xr-x
2024-03-10 20:38
export_report.pl
4.5
KB
-rwxr-xr-x
2026-07-01 19:48
extract-ikconfig
1.74
KB
-rwxr-xr-x
2024-03-10 20:38
extract-module-sig.pl
3.66
KB
-rwxr-xr-x
2024-03-10 20:38
extract-sys-certs.pl
3.75
KB
-rwxr-xr-x
2024-03-10 20:38
extract-vmlinux
1.66
KB
-rwxr-xr-x
2024-03-10 20:38
extract_xc3028.pl
44.62
KB
-rwxr-xr-x
2024-03-10 20:38
faddr2line
8.63
KB
-rwxr-xr-x
2024-03-10 20:38
file-size.sh
86
B
-rwxr-xr-x
2024-03-10 20:38
find-unused-docs.sh
1.27
KB
-rwxr-xr-x
2024-03-10 20:38
gcc-x86_32-has-stack-protector.sh
405
B
-rwxr-xr-x
2026-07-01 19:48
gcc-x86_64-has-stack-protector.sh
195
B
-rwxr-xr-x
2026-07-01 19:48
gen-randstruct-seed.sh
228
B
-rwxr-xr-x
2024-03-10 20:38
generate_initcall_order.pl
5.95
KB
-rwxr-xr-x
2024-03-10 20:38
generate_rust_analyzer.py
5.85
KB
-rwxr-xr-x
2026-07-01 19:48
generate_rust_target.rs
5.59
KB
-rw-r--r--
2026-07-01 19:48
get_abi.pl
25.36
KB
-rwxr-xr-x
2024-03-10 20:38
get_dvb_firmware
24.54
KB
-rwxr-xr-x
2024-03-10 20:38
get_feat.pl
14.61
KB
-rwxr-xr-x
2024-03-10 20:38
get_maintainer.pl
67.63
KB
-rwxr-xr-x
2024-03-10 20:38
gfp-translate
2.08
KB
-rwxr-xr-x
2026-07-01 19:48
git.orderFile
564
B
-rw-r--r--
2024-03-10 20:38
head-object-list.txt
1.36
KB
-rw-r--r--
2024-03-10 20:38
headerdep.pl
3.5
KB
-rwxr-xr-x
2024-03-10 20:38
headers_install.sh
2.76
KB
-rwxr-xr-x
2024-03-10 20:38
insert-sys-cert.c
13.08
KB
-rw-r--r--
2026-07-01 19:48
install.sh
986
B
-rwxr-xr-x
2024-03-10 20:38
jobserver-exec
2.56
KB
-rwxr-xr-x
2024-03-10 20:38
kallsyms.c
17.75
KB
-rw-r--r--
2026-07-01 19:48
kernel-doc
77.13
KB
-rwxr-xr-x
2026-07-01 19:48
ld-version.sh
1.82
KB
-rwxr-xr-x
2026-07-01 19:48
leaking_addresses.pl
12.84
KB
-rwxr-xr-x
2024-03-10 20:38
link-vmlinux.sh
7.66
KB
-rwxr-xr-x
2026-07-01 19:48
makelst
808
B
-rwxr-xr-x
2024-03-10 20:38
markup_oops.pl
7.92
KB
-rwxr-xr-x
2024-03-10 20:38
min-tool-version.sh
630
B
-rwxr-xr-x
2026-07-01 19:48
misc-check
509
B
-rwxr-xr-x
2024-03-10 20:38
mkcompile_h
642
B
-rwxr-xr-x
2024-03-10 20:38
mksysmap
2.08
KB
-rwxr-xr-x
2026-07-01 19:48
mkuboot.sh
414
B
-rwxr-xr-x
2024-03-10 20:38
module.lds.S
1.43
KB
-rw-r--r--
2026-07-01 19:48
modules-check.sh
443
B
-rwxr-xr-x
2024-03-10 20:38
nsdeps
1.63
KB
-rw-r--r--
2024-03-10 20:38
objdiff
2.83
KB
-rwxr-xr-x
2024-03-10 20:38
objdump-func
848
B
-rwxr-xr-x
2024-03-10 20:38
orc_hash.sh
316
B
-rw-r--r--
2024-03-10 20:38
pahole-version.sh
269
B
-rwxr-xr-x
2024-03-10 20:38
parse-maintainers.pl
4.54
KB
-rwxr-xr-x
2024-03-10 20:38
patch-kernel
9.95
KB
-rwxr-xr-x
2024-03-10 20:38
profile2linkerlist.pl
414
B
-rwxr-xr-x
2024-03-10 20:38
prune-kernel
912
B
-rwxr-xr-x
2024-03-10 20:38
recordmcount.c
17.51
KB
-rw-r--r--
2024-03-10 20:38
recordmcount.h
19.37
KB
-rw-r--r--
2024-03-10 20:38
recordmcount.pl
17.34
KB
-rwxr-xr-x
2024-03-10 20:38
relocs_check.sh
717
B
-rwxr-xr-x
2024-03-10 20:38
remove-stale-files
1.29
KB
-rwxr-xr-x
2024-03-10 20:38
rust_is_available.sh
9.48
KB
-rwxr-xr-x
2026-07-01 19:48
rust_is_available_bindgen_libclang.h
91
B
-rw-r--r--
2024-03-10 20:38
rust_is_available_test.py
17.7
KB
-rwxr-xr-x
2024-03-10 20:38
rustdoc_test_builder.rs
3.25
KB
-rw-r--r--
2024-03-10 20:38
rustdoc_test_gen.rs
9.48
KB
-rw-r--r--
2024-03-10 20:38
setlocalversion
5.18
KB
-rwxr-xr-x
2026-07-01 19:48
show_delta
3.04
KB
-rwxr-xr-x
2024-03-10 20:38
sign-file.c
10.4
KB
-rw-r--r--
2026-07-01 19:48
sorttable.c
7.68
KB
-rw-r--r--
2024-03-10 20:38
sorttable.h
12.99
KB
-rw-r--r--
2026-07-01 19:48
spdxcheck-test.sh
284
B
-rw-r--r--
2024-03-10 20:38
spdxcheck.py
15.23
KB
-rwxr-xr-x
2024-03-10 20:38
spdxexclude
417
B
-rw-r--r--
2024-03-10 20:38
spelling.txt
34.18
KB
-rw-r--r--
2024-03-10 20:38
sphinx-pre-install
25.07
KB
-rwxr-xr-x
2024-03-10 20:38
split-man.pl
604
B
-rwxr-xr-x
2024-03-10 20:38
ssl-common.h
678
B
-rw-r--r--
2026-07-01 19:48
stackdelta
1.84
KB
-rwxr-xr-x
2024-03-10 20:38
stackusage
794
B
-rwxr-xr-x
2024-03-10 20:38
subarch.include
647
B
-rw-r--r--
2024-03-10 20:38
syscallhdr.sh
1.89
KB
-rwxr-xr-x
2024-03-10 20:38
syscallnr.sh
1.45
KB
-rwxr-xr-x
2024-03-10 20:38
syscalltbl.sh
1.82
KB
-rwxr-xr-x
2026-07-01 19:48
tags.sh
10.73
KB
-rwxr-xr-x
2024-03-10 20:38
test_fortify.sh
2.23
KB
-rw-r--r--
2024-03-10 20:38
tools-support-relr.sh
726
B
-rwxr-xr-x
2024-03-10 20:38
unifdef.c
34.8
KB
-rw-r--r--
2024-03-10 20:38
ver_linux
2.59
KB
-rwxr-xr-x
2024-03-10 20:38
xen-hypercalls.sh
386
B
-rwxr-xr-x
2024-03-10 20:38
xz_wrap.sh
516
B
-rwxr-xr-x
2024-03-10 20:38
Save
Rename
#!/bin/sh # SPDX-License-Identifier: GPL-2.0 # # link vmlinux # # vmlinux is linked from the objects in vmlinux.a and $(KBUILD_VMLINUX_LIBS). # vmlinux.a contains objects that are linked unconditionally. # $(KBUILD_VMLINUX_LIBS) are archives which are linked conditionally # (not within --whole-archive), and do not require symbol indexes added. # # vmlinux # ^ # | # +--< vmlinux.a # | # +--< $(KBUILD_VMLINUX_LIBS) # | +--< lib/lib.a + more # | # +-< ${kallsymso} (see description in KALLSYMS section) # # vmlinux version (uname -v) cannot be updated during normal # descending-into-subdirs phase since we do not yet know if we need to # update vmlinux. # Therefore this step is delayed until just before final link of vmlinux. # # System.map is generated to document addresses of all kernel symbols # Error out on error set -e LD="$1" KBUILD_LDFLAGS="$2" LDFLAGS_vmlinux="$3" is_enabled() { grep -q "^$1=y" include/config/auto.conf } # Nice output in kbuild format # Will be supressed by "make -s" info() { printf " %-7s %s\n" "${1}" "${2}" } # Link of vmlinux # ${1} - output file vmlinux_link() { local output=${1} local objs local libs local ld local ldflags local ldlibs info LD ${output} # skip output file argument shift if is_enabled CONFIG_LTO_CLANG || is_enabled CONFIG_X86_KERNEL_IBT; then # Use vmlinux.o instead of performing the slow LTO link again. objs=vmlinux.o libs= else objs=vmlinux.a libs="${KBUILD_VMLINUX_LIBS}" fi if is_enabled CONFIG_MODULES; then objs="${objs} .vmlinux.export.o" fi objs="${objs} init/version-timestamp.o" if [ "${SRCARCH}" = "um" ]; then wl=-Wl, ld="${CC}" ldflags="${CFLAGS_vmlinux}" ldlibs="-lutil -lrt -lpthread" else wl= ld="${LD}" ldflags="${KBUILD_LDFLAGS} ${LDFLAGS_vmlinux}" ldlibs= fi ldflags="${ldflags} ${wl}--script=${objtree}/${KBUILD_LDS}" # The kallsyms linking does not need debug symbols included. if [ -n "${strip_debug}" ] ; then ldflags="${ldflags} ${wl}--strip-debug" fi if is_enabled CONFIG_VMLINUX_MAP; then ldflags="${ldflags} ${wl}-Map=${output}.map" fi ${ld} ${ldflags} -o ${output} \ ${wl}--whole-archive ${objs} ${wl}--no-whole-archive \ ${wl}--start-group ${libs} ${wl}--end-group \ ${kallsymso} ${btf_vmlinux_bin_o} ${ldlibs} } # generate .BTF typeinfo from DWARF debuginfo # ${1} - vmlinux image gen_btf() { local pahole_ver local btf_data=${1}.btf.o if ! [ -x "$(command -v ${PAHOLE})" ]; then echo >&2 "BTF: ${1}: pahole (${PAHOLE}) is not available" return 1 fi pahole_ver=$(${PAHOLE} --version | sed -E 's/v([0-9]+)\.([0-9]+)/\1\2/') if [ "${pahole_ver}" -lt "116" ]; then echo >&2 "BTF: ${1}: pahole version $(${PAHOLE} --version) is too old, need at least v1.16" return 1 fi info BTF "${btf_data}" LLVM_OBJCOPY="${OBJCOPY}" ${PAHOLE} -J ${PAHOLE_FLAGS} ${1} # Create ${btf_data} which contains just .BTF section but no symbols. Add # SHF_ALLOC because .BTF will be part of the vmlinux image. --strip-all # deletes all symbols including __start_BTF and __stop_BTF, which will # be redefined in the linker script. Add 2>/dev/null to suppress GNU # objcopy warnings: "empty loadable segment detected at ..." ${OBJCOPY} --only-section=.BTF --set-section-flags .BTF=alloc,readonly \ --strip-all ${1} "${btf_data}" 2>/dev/null # Change e_type to ET_REL so that it can be used to link final vmlinux. # GNU ld 2.35+ and lld do not allow an ET_EXEC input. if is_enabled CONFIG_CPU_BIG_ENDIAN; then et_rel='\0\1' else et_rel='\1\0' fi printf "${et_rel}" | dd of="${btf_data}" conv=notrunc bs=1 seek=16 status=none btf_vmlinux_bin_o=${btf_data} } # Create ${2}.o file with all symbols from the ${1} object file kallsyms() { local kallsymopt; if is_enabled CONFIG_KALLSYMS_ALL; then kallsymopt="${kallsymopt} --all-symbols" fi if is_enabled CONFIG_KALLSYMS_ABSOLUTE_PERCPU; then kallsymopt="${kallsymopt} --absolute-percpu" fi info KSYMS "${2}.S" scripts/kallsyms ${kallsymopt} "${1}" > "${2}.S" info AS "${2}.o" ${CC} ${NOSTDINC_FLAGS} ${LINUXINCLUDE} ${KBUILD_CPPFLAGS} \ ${KBUILD_AFLAGS} ${KBUILD_AFLAGS_KERNEL} -c -o "${2}.o" "${2}.S" kallsymso=${2}.o } # Perform kallsyms for the given temporary vmlinux. sysmap_and_kallsyms() { mksysmap "${1}" "${1}.syms" kallsyms "${1}.syms" "${1}.kallsyms" kallsyms_sysmap=${1}.syms } # Create map file with all symbols from ${1} # See mksymap for additional details mksysmap() { info NM ${2} ${CONFIG_SHELL} "${srctree}/scripts/mksysmap" ${1} ${2} } sorttable() { ${objtree}/scripts/sorttable ${1} } # Delete output files in case of error cleanup() { rm -f .btf.* rm -f System.map rm -f vmlinux rm -f vmlinux.map } # Use "make V=1" to debug this script case "${KBUILD_VERBOSE}" in *1*) set -x ;; esac if [ "$1" = "clean" ]; then cleanup exit 0 fi ${MAKE} -f "${srctree}/scripts/Makefile.build" obj=init init/version-timestamp.o btf_vmlinux_bin_o= kallsymso= strip_debug= if is_enabled CONFIG_KALLSYMS; then truncate -s0 .tmp_vmlinux.kallsyms0.syms kallsyms .tmp_vmlinux.kallsyms0.syms .tmp_vmlinux0.kallsyms fi if is_enabled CONFIG_KALLSYMS || is_enabled CONFIG_DEBUG_INFO_BTF; then # The kallsyms linking does not need debug symbols, but the BTF does. if ! is_enabled CONFIG_DEBUG_INFO_BTF; then strip_debug=1 fi vmlinux_link .tmp_vmlinux1 fi if is_enabled CONFIG_DEBUG_INFO_BTF; then if ! gen_btf .tmp_vmlinux1; then echo >&2 "Failed to generate BTF for vmlinux" echo >&2 "Try to disable CONFIG_DEBUG_INFO_BTF" exit 1 fi fi if is_enabled CONFIG_KALLSYMS; then # kallsyms support # Generate section listing all symbols and add it into vmlinux # It's a four step process: # 0) Generate a dummy __kallsyms with empty symbol list. # 1) Link .tmp_vmlinux.kallsyms1 so it has all symbols and sections, # with a dummy __kallsyms. # Running kallsyms on that gives us .tmp_kallsyms1.o with # the right size # 2) Link .tmp_vmlinux.kallsyms2 so it now has a __kallsyms section of # the right size, but due to the added section, some # addresses have shifted. # From here, we generate a correct .tmp_vmlinux.kallsyms2.o # 3) That link may have expanded the kernel image enough that # more linker branch stubs / trampolines had to be added, which # introduces new names, which further expands kallsyms. Do another # pass if that is the case. In theory it's possible this results # in even more stubs, but unlikely. # KALLSYMS_EXTRA_PASS=1 may also used to debug or work around # other bugs. # 4) The correct ${kallsymso} is linked into the final vmlinux. # # a) Verify that the System.map from vmlinux matches the map from # ${kallsymso}. # The kallsyms linking does not need debug symbols included. strip_debug=1 sysmap_and_kallsyms .tmp_vmlinux1 size1=$(${CONFIG_SHELL} "${srctree}/scripts/file-size.sh" ${kallsymso}) vmlinux_link .tmp_vmlinux2 sysmap_and_kallsyms .tmp_vmlinux2 size2=$(${CONFIG_SHELL} "${srctree}/scripts/file-size.sh" ${kallsymso}) if [ $size1 -ne $size2 ] || [ -n "${KALLSYMS_EXTRA_PASS}" ]; then vmlinux_link .tmp_vmlinux3 sysmap_and_kallsyms .tmp_vmlinux3 fi fi strip_debug= vmlinux_link vmlinux # fill in BTF IDs if is_enabled CONFIG_DEBUG_INFO_BTF && is_enabled CONFIG_BPF; then info BTFIDS vmlinux ${RESOLVE_BTFIDS} vmlinux fi mksysmap vmlinux System.map if is_enabled CONFIG_BUILDTIME_TABLE_SORT; then info SORTTAB vmlinux if ! sorttable vmlinux; then echo >&2 Failed to sort kernel tables exit 1 fi fi # step a (see comment above) if is_enabled CONFIG_KALLSYMS; then if ! cmp -s System.map "${kallsyms_sysmap}"; then echo >&2 Inconsistent kallsyms data echo >&2 'Try "make KALLSYMS_EXTRA_PASS=1" as a workaround' exit 1 fi fi # For fixdep echo "vmlinux: $0" > .vmlinux.d